import { log, Homebridge } from './Types/types';
import { EventEmitter } from 'events';

class AutomationPlatform {
    private log: log;
    private config: {} = {};
    private api: EventEmitter;

    constructor(log: log, config: {}, api: EventEmitter) {
        this.log = log;
        this.config = config;
        this.api = api;
        this.log('INFO - Registering automation platform');
        this.api.on('didFinishLaunching', this.didFinishLaunching.bind(this));
    }

    /**
     * Handler for didFinishLaunching
     * Happens after constructor
     */
    private didFinishLaunching(): void {
        //No external accessories to publish
    }
}

/**
 * Main entry.
 * @param homebridge 
 */
export default function (homebridge: Homebridge): void {
    homebridge.registerPlatform(
        'ml-automation',
        'automation',
        AutomationPlatform,
        true
    );
};